# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::InterpolatorFloat Class Reference

Abstract class that interpolates `float` values. More...

`#include <Interpolator.hpp>`

Inheritance diagram for vl::InterpolatorFloat:

List of all members.

## Public Member Functions
virtual float | computePoint (float t) const =0
| Samples the interpolator at the given point.

## Detailed Description

Abstract class that interpolates `float` values.

## Member Function Documentation

virtual float vl::InterpolatorFloat::computePoint | ( | float | t | ) | const`[pure virtual]`

Samples the interpolator at the given point.

Implemented in vl::CatmullRomInterpolatorFloat, and vl::LinearInterpolatorFloat.

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Interpolator.hpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 29 11:11:47 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.